%define major 1
%define libname %mklibname netfilter_log %{major}
%define libnamedevel %mklibname netfilter_log -d

Summary:	Netfilter userspace packet logging library
Name:		libnetfilter_log
Version:	1.0.2
Release:	%mkrel 2
Group:		System/Kernel and hardware
License:	GPL
URL:		https://www.netfilter.org/projects/libnetfilter_log/index.html
Source0:	https://www.netfilter.org/projects/libnetfilter_log/files/libnetfilter_log-%{version}.tar.bz2
Source1:	https://www.netfilter.org/projects/libnetfilter_log/files/libnetfilter_log-%{version}.tar.bz2.sig
BuildRequires:	pkgconfig(libnfnetlink) >= 0.0.41
BuildRequires:	pkgconfig(libmnl) >= 1.0.3
BuildRequires:	autoconf 
BuildRequires:	automake 
BuildRequires:	libtool

%description
libnetfilter_log is a userspace library providing interface to packets that
have been logged by the kernel packet filter. It is is part of a system that
deprecates the old syslog/dmesg based packet logging. This library has been
previously known as libnfnetlink_log.

%package -n	%{libname}
Summary:	Netfilter userspace packet logging library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	netfilter_log = %{version}-%{release}

%description -n	%{libname}
libnetfilter_log is a userspace library providing interface to packets that
have been logged by the kernel packet filter. It is is part of a system that
deprecates the old syslog/dmesg based packet logging. This library has been
previously known as libnfnetlink_log.

%package -n	%{libnamedevel}
Summary:        Development files for %{name}
Group:		Development/C
Provides:	netfilter_log-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n	%{libnamedevel}
This package contains the development files for %{name}.

%prep
%setup -q
%autopatch -p0

%build
autoreconf -fi
%configure \
    --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libnamedevel}
%{_includedir}/libnetfilter_log
%{_libdir}/*.so
%{_libdir}/pkgconfig/libnetfilter_log.pc
%{_libdir}/pkgconfig/libnetfilter_log_libipulog.pc


%changelog
* Wed Mar 16 2022 umeabot <umeabot> 1.0.2-2.mga9
+ Revision: 1794852
- Mageia 9 Mass Rebuild

* Thu Jan 06 2022 luigiwalser <luigiwalser> 1.0.2-1.mga9
+ Revision: 1767104
- remove invalid patch
- BR libmnl
- 1.0.2

* Thu Feb 13 2020 umeabot <umeabot> 1.0.1-7.mga8
+ Revision: 1514299
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.0.1-6.mga7
+ Revision: 1299041
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 1.0.1-5.mga6
+ Revision: 934088
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-4.mga5
+ Revision: 747266
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-3.mga5
+ Revision: 681643
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-2.mga4
+ Revision: 522191
- Mageia 4 Mass Rebuild

* Tue Feb 12 2013 oden <oden> 1.0.1-1.mga3
+ Revision: 398036
- imported package libnetfilter_log


* Tue Feb 12 2013 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1.mga2
- initial Mageia package

* Tue May 29 2012 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-0.1
- backported for 2011

* Mon Apr 16 2012 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-2
+ Revision: 791289
- rebuild

* Mon Apr 16 2012 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1
+ Revision: 791245
- import libnetfilter_log


* Mon Apr 16 2012 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1
- initial Mandriva package
